source: tests/preempt_longrun/Makefile.in @ 534e4e4

aaron-thesisarm-ehcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since 534e4e4 was 534e4e4, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

Some clean-up before tackling finding directories

  • Property mode set to 100644
File size: 29.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/cfa.m4 \
96        $(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98        $(ACLOCAL_M4)
99DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
100mkinstalldirs = $(install_sh) -d
101CONFIG_HEADER = $(top_builddir)/config.h
102CONFIG_CLEAN_FILES =
103CONFIG_CLEAN_VPATH_FILES =
104AM_V_P = $(am__v_P_@AM_V@)
105am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
106am__v_P_0 = false
107am__v_P_1 = :
108AM_V_GEN = $(am__v_GEN_@AM_V@)
109am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
110am__v_GEN_0 = @echo "  GEN     " $@;
111am__v_GEN_1 =
112AM_V_at = $(am__v_at_@AM_V@)
113am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
114am__v_at_0 = @
115am__v_at_1 =
116SOURCES =
117DIST_SOURCES =
118am__can_run_installinfo = \
119  case $$AM_UPDATE_INFO_DIR in \
120    n|no|NO) false;; \
121    *) (install-info --version) >/dev/null 2>&1;; \
122  esac
123am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
124am__tty_colors_dummy = \
125  mgn= red= grn= lgn= blu= brg= std=; \
126  am__color_tests=no
127am__tty_colors = { \
128  $(am__tty_colors_dummy); \
129  if test "X$(AM_COLOR_TESTS)" = Xno; then \
130    am__color_tests=no; \
131  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
132    am__color_tests=yes; \
133  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
134    am__color_tests=yes; \
135  fi; \
136  if test $$am__color_tests = yes; then \
137    red='[0;31m'; \
138    grn='[0;32m'; \
139    lgn='[1;32m'; \
140    blu='[1;34m'; \
141    mgn='[0;35m'; \
142    brg='[1m'; \
143    std='[m'; \
144  fi; \
145}
146am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147am__vpath_adj = case $$p in \
148    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149    *) f=$$p;; \
150  esac;
151am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152am__install_max = 40
153am__nobase_strip_setup = \
154  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155am__nobase_strip = \
156  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157am__nobase_list = $(am__nobase_strip_setup); \
158  for p in $$list; do echo "$$p $$p"; done | \
159  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161    if (++n[$$2] == $(am__install_max)) \
162      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163    END { for (dir in files) print dir, files[dir] }'
164am__base_list = \
165  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167am__uninstall_files_from_dir = { \
168  test -z "$$files" \
169    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171         $(am__cd) "$$dir" && rm -f $$files; }; \
172  }
173am__recheck_rx = ^[     ]*:recheck:[    ]*
174am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
175am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
176# A command that, given a newline-separated list of test names on the
177# standard input, print the name of the tests that are to be re-run
178# upon "make recheck".
179am__list_recheck_tests = $(AWK) '{ \
180  recheck = 1; \
181  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
182    { \
183      if (rc < 0) \
184        { \
185          if ((getline line2 < ($$0 ".log")) < 0) \
186            recheck = 0; \
187          break; \
188        } \
189      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
190        { \
191          recheck = 0; \
192          break; \
193        } \
194      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
195        { \
196          break; \
197        } \
198    }; \
199  if (recheck) \
200    print $$0; \
201  close ($$0 ".trs"); \
202  close ($$0 ".log"); \
203}'
204# A command that, given a newline-separated list of test names on the
205# standard input, create the global log from their .trs and .log files.
206am__create_global_log = $(AWK) ' \
207function fatal(msg) \
208{ \
209  print "fatal: making $@: " msg | "cat >&2"; \
210  exit 1; \
211} \
212function rst_section(header) \
213{ \
214  print header; \
215  len = length(header); \
216  for (i = 1; i <= len; i = i + 1) \
217    printf "="; \
218  printf "\n\n"; \
219} \
220{ \
221  copy_in_global_log = 1; \
222  global_test_result = "RUN"; \
223  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
224    { \
225      if (rc < 0) \
226         fatal("failed to read from " $$0 ".trs"); \
227      if (line ~ /$(am__global_test_result_rx)/) \
228        { \
229          sub("$(am__global_test_result_rx)", "", line); \
230          sub("[        ]*$$", "", line); \
231          global_test_result = line; \
232        } \
233      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
234        copy_in_global_log = 0; \
235    }; \
236  if (copy_in_global_log) \
237    { \
238      rst_section(global_test_result ": " $$0); \
239      while ((rc = (getline line < ($$0 ".log"))) != 0) \
240      { \
241        if (rc < 0) \
242          fatal("failed to read from " $$0 ".log"); \
243        print line; \
244      }; \
245      printf "\n"; \
246    }; \
247  close ($$0 ".trs"); \
248  close ($$0 ".log"); \
249}'
250# Restructured Text title.
251am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
252# Solaris 10 'make', and several other traditional 'make' implementations,
253# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
254# by disabling -e (using the XSI extension "set +e") if it's set.
255am__sh_e_setup = case $$- in *e*) set +e;; esac
256# Default flags passed to test drivers.
257am__common_driver_flags = \
258  --color-tests "$$am__color_tests" \
259  --enable-hard-errors "$$am__enable_hard_errors" \
260  --expect-failure "$$am__expect_failure"
261# To be inserted before the command running the test.  Creates the
262# directory for the log if needed.  Stores in $dir the directory
263# containing $f, in $tst the test, in $log the log.  Executes the
264# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
265# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
266# will run the test scripts (or their associated LOG_COMPILER, if
267# thy have one).
268am__check_pre = \
269$(am__sh_e_setup);                                      \
270$(am__vpath_adj_setup) $(am__vpath_adj)                 \
271$(am__tty_colors);                                      \
272srcdir=$(srcdir); export srcdir;                        \
273case "$@" in                                            \
274  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
275    *) am__odir=.;;                                     \
276esac;                                                   \
277test "x$$am__odir" = x"." || test -d "$$am__odir"       \
278  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
279if test -f "./$$f"; then dir=./;                        \
280elif test -f "$$f"; then dir=;                          \
281else dir="$(srcdir)/"; fi;                              \
282tst=$$dir$$f; log='$@';                                 \
283if test -n '$(DISABLE_HARD_ERRORS)'; then               \
284  am__enable_hard_errors=no;                            \
285else                                                    \
286  am__enable_hard_errors=yes;                           \
287fi;                                                     \
288case " $(XFAIL_TESTS) " in                              \
289  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
290    am__expect_failure=yes;;                            \
291  *)                                                    \
292    am__expect_failure=no;;                             \
293esac;                                                   \
294$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
295# A shell command to get the names of the tests scripts with any registered
296# extension removed (i.e., equivalently, the names of the test logs, with
297# the '.log' extension removed).  The result is saved in the shell variable
298# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
299# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
300# since that might cause problem with VPATH rewrites for suffix-less tests.
301# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
302am__set_TESTS_bases = \
303  bases='$(TEST_LOGS)'; \
304  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
305  bases=`echo $$bases`
306RECHECK_LOGS = $(TEST_LOGS)
307AM_RECURSIVE_TARGETS = check recheck
308TEST_SUITE_LOG = test-suite.log
309TEST_EXTENSIONS = @EXEEXT@ .test
310LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
311LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
312am__set_b = \
313  case '$@' in \
314    */*) \
315      case '$*' in \
316        */*) b='$*';; \
317          *) b=`echo '$@' | sed 's/\.log$$//'`; \
318       esac;; \
319    *) \
320      b='$*';; \
321  esac
322am__test_logs1 = $(TESTS:=.log)
323am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
324TEST_LOGS = $(am__test_logs2:.test.log=.log)
325TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
326TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
327        $(TEST_LOG_FLAGS)
328am__DIST_COMMON = $(srcdir)/Makefile.in \
329        $(top_srcdir)/automake/test-driver
330DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
331ACLOCAL = @ACLOCAL@
332ALLOCA = @ALLOCA@
333AMTAR = @AMTAR@
334AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
335AUTOCONF = @AUTOCONF@
336AUTOHEADER = @AUTOHEADER@
337AUTOMAKE = @AUTOMAKE@
338AWK = @AWK@
339BACKEND_CC = @BACKEND_CC@
340BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
341CC = @CFACC@
342CCAS = @CCAS@
343CCASDEPMODE = @CCASDEPMODE@
344CCASFLAGS = @CCASFLAGS@
345CCDEPMODE = @CCDEPMODE@
346CFACC = @CFACC@
347CFACPP = @CFACPP@
348CFA_BACKEND_CC = @CFA_BACKEND_CC@
349CFA_BINDIR = @CFA_BINDIR@
350CFA_FLAGS = @CFA_FLAGS@
351CFA_INCDIR = @CFA_INCDIR@
352CFA_LIBDIR = @CFA_LIBDIR@
353CFA_NAME = @CFA_NAME@
354CFA_PREFIX = @CFA_PREFIX@
355CFLAGS = ${BUILD_FLAGS}
356CPP = @CPP@
357CPPFLAGS = @CPPFLAGS@
358CXX = @CXX@
359CXXDEPMODE = @CXXDEPMODE@
360CXXFLAGS = @CXXFLAGS@
361CYGPATH_W = @CYGPATH_W@
362DEFS = @DEFS@
363DEPDIR = @DEPDIR@
364DRIVER_DIR = @DRIVER_DIR@
365ECHO_C = @ECHO_C@
366ECHO_N = @ECHO_N@
367ECHO_T = @ECHO_T@
368EGREP = @EGREP@
369EXEEXT = @EXEEXT@
370GREP = @GREP@
371INSTALL = @INSTALL@
372INSTALL_DATA = @INSTALL_DATA@
373INSTALL_PROGRAM = @INSTALL_PROGRAM@
374INSTALL_SCRIPT = @INSTALL_SCRIPT@
375INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
376LDFLAGS = @LDFLAGS@
377LEX = @LEX@
378LEXLIB = @LEXLIB@
379LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
380LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
381LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
382LIBOBJS = @LIBOBJS@
383LIBS = @LIBS@
384LTLIBOBJS = @LTLIBOBJS@
385MAKEINFO = @MAKEINFO@
386MKDIR_P = @MKDIR_P@
387OBJEXT = @OBJEXT@
388PACKAGE = @PACKAGE@
389PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
390PACKAGE_NAME = @PACKAGE_NAME@
391PACKAGE_STRING = @PACKAGE_STRING@
392PACKAGE_TARNAME = @PACKAGE_TARNAME@
393PACKAGE_URL = @PACKAGE_URL@
394PACKAGE_VERSION = @PACKAGE_VERSION@
395PATH_SEPARATOR = @PATH_SEPARATOR@
396RANLIB = @RANLIB@
397SET_MAKE = @SET_MAKE@
398SHELL = @SHELL@
399STRIP = @STRIP@
400TARGET_HOSTS = @TARGET_HOSTS@
401VERSION = @VERSION@
402YACC = @YACC@
403YFLAGS = @YFLAGS@
404abs_builddir = @abs_builddir@
405abs_srcdir = @abs_srcdir@
406abs_top_builddir = @abs_top_builddir@
407abs_top_srcdir = @abs_top_srcdir@
408ac_ct_CC = @ac_ct_CC@
409ac_ct_CXX = @ac_ct_CXX@
410am__include = @am__include@
411am__leading_dot = @am__leading_dot@
412am__quote = @am__quote@
413am__tar = @am__tar@
414am__untar = @am__untar@
415bindir = @bindir@
416build = @build@
417build_alias = @build_alias@
418build_cpu = @build_cpu@
419build_os = @build_os@
420build_vendor = @build_vendor@
421builddir = @builddir@
422datadir = @datadir@
423datarootdir = @datarootdir@
424docdir = @docdir@
425dvidir = @dvidir@
426exec_prefix = @exec_prefix@
427host = @host@
428host_alias = @host_alias@
429host_cpu = @host_cpu@
430host_os = @host_os@
431host_vendor = @host_vendor@
432htmldir = @htmldir@
433includedir = @includedir@
434infodir = @infodir@
435install_sh = @install_sh@
436libdir = @libdir@
437libexecdir = @libexecdir@
438localedir = @localedir@
439localstatedir = @localstatedir@
440mandir = @mandir@
441mkdir_p = @mkdir_p@
442oldincludedir = @oldincludedir@
443pdfdir = @pdfdir@
444prefix = @prefix@
445program_transform_name = @program_transform_name@
446psdir = @psdir@
447runstatedir = @runstatedir@
448sbindir = @sbindir@
449sharedstatedir = @sharedstatedir@
450srcdir = @srcdir@
451sysconfdir = @sysconfdir@
452target_alias = @target_alias@
453top_build_prefix = @top_build_prefix@
454top_builddir = @top_builddir@
455top_srcdir = @top_srcdir@
456repeats = 10
457max_time = 600
458preempt = 10ul\`ms
459debug = -debug
460type = LONG
461REPEAT = ${abs_top_srcdir}/tools/repeat
462WATCHDOG = ${abs_top_srcdir}/tools/watchdog
463TIME = /usr/bin/time -f "%E"
464
465# $(shell ./update-type $(type))
466# ./update-type $(type)
467UPDATED_TYPE = $(shell ./update-type $(type))
468BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -I.. -I. -DTEST_$(shell cat .type | tr a-z A-Z)
469TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
470all: all-am
471
472.SUFFIXES:
473.SUFFIXES: .log .test .test$(EXEEXT) .trs
474$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
475        @for dep in $?; do \
476          case '$(am__configure_deps)' in \
477            *$$dep*) \
478              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
479                && { if test -f $@; then exit 0; else break; fi; }; \
480              exit 1;; \
481          esac; \
482        done; \
483        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile'; \
484        $(am__cd) $(top_srcdir) && \
485          $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile
486Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
487        @case '$?' in \
488          *config.status*) \
489            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
490          *) \
491            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
492            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
493        esac;
494
495$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
496        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
497
498$(top_srcdir)/configure:  $(am__configure_deps)
499        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
500$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
501        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
502$(am__aclocal_m4_deps):
503tags TAGS:
504
505ctags CTAGS:
506
507cscope cscopelist:
508
509
510# Recover from deleted '.trs' file; this should ensure that
511# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
512# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
513# to avoid problems with "make -n".
514.log.trs:
515        rm -f $< $@
516        $(MAKE) $(AM_MAKEFLAGS) $<
517
518# Leading 'am--fnord' is there to ensure the list of targets does not
519# expand to empty, as could happen e.g. with make check TESTS=''.
520am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
521am--force-recheck:
522        @:
523
524$(TEST_SUITE_LOG): $(TEST_LOGS)
525        @$(am__set_TESTS_bases); \
526        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
527        redo_bases=`for i in $$bases; do \
528                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
529                    done`; \
530        if test -n "$$redo_bases"; then \
531          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
532          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
533          if $(am__make_dryrun); then :; else \
534            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
535          fi; \
536        fi; \
537        if test -n "$$am__remaking_logs"; then \
538          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
539               "recursion detected" >&2; \
540        elif test -n "$$redo_logs"; then \
541          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
542        fi; \
543        if $(am__make_dryrun); then :; else \
544          st=0;  \
545          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
546          for i in $$redo_bases; do \
547            test -f $$i.trs && test -r $$i.trs \
548              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
549            test -f $$i.log && test -r $$i.log \
550              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
551          done; \
552          test $$st -eq 0 || exit 1; \
553        fi
554        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
555        ws='[   ]'; \
556        results=`for b in $$bases; do echo $$b.trs; done`; \
557        test -n "$$results" || results=/dev/null; \
558        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
559        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
560        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
561        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
562        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
563        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
564        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
565        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
566          success=true; \
567        else \
568          success=false; \
569        fi; \
570        br='==================='; br=$$br$$br$$br$$br; \
571        result_count () \
572        { \
573            if test x"$$1" = x"--maybe-color"; then \
574              maybe_colorize=yes; \
575            elif test x"$$1" = x"--no-color"; then \
576              maybe_colorize=no; \
577            else \
578              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
579            fi; \
580            shift; \
581            desc=$$1 count=$$2; \
582            if test $$maybe_colorize = yes && test $$count -gt 0; then \
583              color_start=$$3 color_end=$$std; \
584            else \
585              color_start= color_end=; \
586            fi; \
587            echo "$${color_start}# $$desc $$count$${color_end}"; \
588        }; \
589        create_testsuite_report () \
590        { \
591          result_count $$1 "TOTAL:" $$all   "$$brg"; \
592          result_count $$1 "PASS: " $$pass  "$$grn"; \
593          result_count $$1 "SKIP: " $$skip  "$$blu"; \
594          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
595          result_count $$1 "FAIL: " $$fail  "$$red"; \
596          result_count $$1 "XPASS:" $$xpass "$$red"; \
597          result_count $$1 "ERROR:" $$error "$$mgn"; \
598        }; \
599        {                                                               \
600          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
601            $(am__rst_title);                                           \
602          create_testsuite_report --no-color;                           \
603          echo;                                                         \
604          echo ".. contents:: :depth: 2";                               \
605          echo;                                                         \
606          for b in $$bases; do echo $$b; done                           \
607            | $(am__create_global_log);                                 \
608        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
609        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
610        if $$success; then                                              \
611          col="$$grn";                                                  \
612         else                                                           \
613          col="$$red";                                                  \
614          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
615        fi;                                                             \
616        echo "$${col}$$br$${std}";                                      \
617        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
618        echo "$${col}$$br$${std}";                                      \
619        create_testsuite_report --maybe-color;                          \
620        echo "$$col$$br$$std";                                          \
621        if $$success; then :; else                                      \
622          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
623          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
624            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
625          fi;                                                           \
626          echo "$$col$$br$$std";                                        \
627        fi;                                                             \
628        $$success || exit 1
629
630check-TESTS:
631        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
632        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
633        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
634        @set +e; $(am__set_TESTS_bases); \
635        log_list=`for i in $$bases; do echo $$i.log; done`; \
636        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
637        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
638        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
639        exit $$?;
640recheck: all
641        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
642        @set +e; $(am__set_TESTS_bases); \
643        bases=`for i in $$bases; do echo $$i; done \
644                 | $(am__list_recheck_tests)` || exit 1; \
645        log_list=`for i in $$bases; do echo $$i.log; done`; \
646        log_list=`echo $$log_list`; \
647        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
648                am__force_recheck=am--force-recheck \
649                TEST_LOGS="$$log_list"; \
650        exit $$?
651block.log: block
652        @p='block'; \
653        b='block'; \
654        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
655        --log-file $$b.log --trs-file $$b.trs \
656        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
657        "$$tst" $(AM_TESTS_FD_REDIRECT)
658coroutine.log: coroutine
659        @p='coroutine'; \
660        b='coroutine'; \
661        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
662        --log-file $$b.log --trs-file $$b.trs \
663        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
664        "$$tst" $(AM_TESTS_FD_REDIRECT)
665create.log: create
666        @p='create'; \
667        b='create'; \
668        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
669        --log-file $$b.log --trs-file $$b.trs \
670        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
671        "$$tst" $(AM_TESTS_FD_REDIRECT)
672disjoint.log: disjoint
673        @p='disjoint'; \
674        b='disjoint'; \
675        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
676        --log-file $$b.log --trs-file $$b.trs \
677        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
678        "$$tst" $(AM_TESTS_FD_REDIRECT)
679enter.log: enter
680        @p='enter'; \
681        b='enter'; \
682        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
683        --log-file $$b.log --trs-file $$b.trs \
684        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
685        "$$tst" $(AM_TESTS_FD_REDIRECT)
686enter3.log: enter3
687        @p='enter3'; \
688        b='enter3'; \
689        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
690        --log-file $$b.log --trs-file $$b.trs \
691        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
692        "$$tst" $(AM_TESTS_FD_REDIRECT)
693processor.log: processor
694        @p='processor'; \
695        b='processor'; \
696        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
697        --log-file $$b.log --trs-file $$b.trs \
698        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
699        "$$tst" $(AM_TESTS_FD_REDIRECT)
700stack.log: stack
701        @p='stack'; \
702        b='stack'; \
703        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
704        --log-file $$b.log --trs-file $$b.trs \
705        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
706        "$$tst" $(AM_TESTS_FD_REDIRECT)
707wait.log: wait
708        @p='wait'; \
709        b='wait'; \
710        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
711        --log-file $$b.log --trs-file $$b.trs \
712        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
713        "$$tst" $(AM_TESTS_FD_REDIRECT)
714yield.log: yield
715        @p='yield'; \
716        b='yield'; \
717        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
718        --log-file $$b.log --trs-file $$b.trs \
719        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
720        "$$tst" $(AM_TESTS_FD_REDIRECT)
721.test.log:
722        @p='$<'; \
723        $(am__set_b); \
724        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
725        --log-file $$b.log --trs-file $$b.trs \
726        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
727        "$$tst" $(AM_TESTS_FD_REDIRECT)
728@am__EXEEXT_TRUE@.test$(EXEEXT).log:
729@am__EXEEXT_TRUE@       @p='$<'; \
730@am__EXEEXT_TRUE@       $(am__set_b); \
731@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
732@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
733@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
734@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
735
736distdir: $(DISTFILES)
737        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
738        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
739        list='$(DISTFILES)'; \
740          dist_files=`for file in $$list; do echo $$file; done | \
741          sed -e "s|^$$srcdirstrip/||;t" \
742              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
743        case $$dist_files in \
744          */*) $(MKDIR_P) `echo "$$dist_files" | \
745                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
746                           sort -u` ;; \
747        esac; \
748        for file in $$dist_files; do \
749          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
750          if test -d $$d/$$file; then \
751            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
752            if test -d "$(distdir)/$$file"; then \
753              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
754            fi; \
755            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
756              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
757              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
758            fi; \
759            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
760          else \
761            test -f "$(distdir)/$$file" \
762            || cp -p $$d/$$file "$(distdir)/$$file" \
763            || exit 1; \
764          fi; \
765        done
766check-am: all-am
767        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
768check: check-am
769all-am: Makefile all-local
770installdirs:
771install: install-am
772install-exec: install-exec-am
773install-data: install-data-am
774uninstall: uninstall-am
775
776install-am: all-am
777        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
778
779installcheck: installcheck-am
780install-strip:
781        if test -z '$(STRIP)'; then \
782          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
783            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
784              install; \
785        else \
786          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
787            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
788            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
789        fi
790mostlyclean-generic:
791        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
792        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
793        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
794
795clean-generic:
796
797distclean-generic:
798        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
799        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
800
801maintainer-clean-generic:
802        @echo "This command is intended for maintainers to use"
803        @echo "it deletes files that may require special tools to rebuild."
804clean: clean-am
805
806clean-am: clean-generic clean-local mostlyclean-am
807
808distclean: distclean-am
809        -rm -f Makefile
810distclean-am: clean-am distclean-generic
811
812dvi: dvi-am
813
814dvi-am:
815
816html: html-am
817
818html-am:
819
820info: info-am
821
822info-am:
823
824install-data-am:
825
826install-dvi: install-dvi-am
827
828install-dvi-am:
829
830install-exec-am:
831
832install-html: install-html-am
833
834install-html-am:
835
836install-info: install-info-am
837
838install-info-am:
839
840install-man:
841
842install-pdf: install-pdf-am
843
844install-pdf-am:
845
846install-ps: install-ps-am
847
848install-ps-am:
849
850installcheck-am:
851
852maintainer-clean: maintainer-clean-am
853        -rm -f Makefile
854maintainer-clean-am: distclean-am maintainer-clean-generic
855
856mostlyclean: mostlyclean-am
857
858mostlyclean-am: mostlyclean-generic
859
860pdf: pdf-am
861
862pdf-am:
863
864ps: ps-am
865
866ps-am:
867
868uninstall-am:
869
870.MAKE: check-am install-am install-strip
871
872.PHONY: all all-am all-local check check-TESTS check-am clean \
873        clean-generic clean-local cscopelist-am ctags-am distclean \
874        distclean-generic distdir dvi dvi-am html html-am info info-am \
875        install install-am install-data install-data-am install-dvi \
876        install-dvi-am install-exec install-exec-am install-html \
877        install-html-am install-info install-info-am install-man \
878        install-pdf install-pdf-am install-ps install-ps-am \
879        install-strip installcheck installcheck-am installdirs \
880        maintainer-clean maintainer-clean-generic mostlyclean \
881        mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
882        uninstall uninstall-am
883
884.PRECIOUS: Makefile
885
886
887# .INTERMEDIATE: ${TESTS}
888
889all-local: ${TESTS:=.run}
890
891runall : ${TESTS:=.run}
892        @ echo "All programs terminated normally"
893
894watchall : ${TESTS:=.watch}
895        @ echo "All programs terminated normally"
896
897compileall : ${TESTS}
898        @ echo "Compiled"
899
900clean-local:
901        rm -f ${TESTS} core* out.log .type
902
903% : %.c ${CC} ${UPDATED_TYPE}
904        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
905
906%.run : % ${REPEAT}
907        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
908        @ rm ${<}
909        @ echo -e "${<}: SUCCESS\n"
910
911%.watch : % ${WATCHDOG}
912        @ time ${WATCHDOG} ./${<}
913        @ rm ${<}
914        @ echo -e "${<}: SUCCESS\n"
915
916%.time : % ${REPEAT}
917        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
918        @ rm ${<}
919        @ echo -e "${<}: SUCCESS\n"
920
921${REPEAT}: ${abs_top_srcdir}/tools/Makefile
922        @+make -C ${abs_top_srcdir}/tools/
923
924${WATCHDOG}: ${abs_top_srcdir}/tools/Makefile
925        @+make -C ${abs_top_srcdir}/tools/
926
927# Tell versions [3.59,3.63) of GNU make to not export all variables.
928# Otherwise a system limit (for SysV at least) may be exceeded.
929.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.